import numpy as np
import matplotlib as plt

def fixpunkt(k):
    iterationsgleichung = np.sin(k) + 0.5 * np.pi # sin calculation is in rad
    error = pow(10, -3)
    if np.abs(iterationsgleichung - k) < error:
        return iterationsgleichung
    return fixpunkt(iterationsgleichung)


print("Der Winkel phi beträgt bis auf drei Stellen nach dem Komma genau:", np.degrees(fixpunkt(2))) # 2 is in rad
# Der Winkel phi beträgt bis auf drei Stellen nach dem Komma genau: 132.3464587947431 Grad.

# c)
# h berechnet sich aus diesem Zusammenhang
# cos(phi/2) = (r - h) / r
# Oder alternativ: Höhe Kreissegment: h = (r * ( 1 - cos(phi2))
# Gesamthöhe: 2 r
# Daher: h = 2 * r - (r * ( 1 - cos(phi/2)))
print('Die gesucht Formel für h lautet: h = r - r * cos(phi/2)', 'oder: 2 * r - (r * ( 1 - cos(phi/1.5)))')